Bug 525713 - Unmuting PCM channel do not work properly
Summary: Unmuting PCM channel do not work properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-mixer
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 11:02 UTC by Tomas Pelka
Modified: 2010-12-04 07:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:38:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 5078 None None None Never

Description Tomas Pelka 2009-09-25 11:02:58 UTC
Description of problem:
Unmuting PCM channel do not work properly, see "Steps to Reproduce" and "Actual results".

Version-Release number of selected component (if applicable):
xfce4-mixer-4.6.1-2.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run xfce4-mixer.
2. Mute PCM chanel.
3. Unmute PCM.
  
Actual results:
No sound till I move with the "slider" (PCM).  

Expected results:
Sound should unmute in previous intensity/volume. 

Additional info:
Muting and unmuting the Master channel works fine.

Comment 1 Kevin Fenzi 2009-09-25 19:21:14 UTC
Humm. I can't confirm this here, it works as expected. ;( 

Are you muting and unmuting the device itself? or the pulseaudio playback?

Does 'alsamixer -c0' and 'alsamixer' show the changes when you make them with xfce4-mixer?

Comment 2 Tomas Pelka 2009-09-29 12:55:40 UTC
(In reply to comment #1)
> Humm. I can't confirm this here, it works as expected. ;( 
> 

The behaviour is exactly the same like in here (http://bugzilla.xfce.org/show_bug.cgi?id=5078).

> Are you muting and unmuting the device itself? or the pulseaudio playback?
> 

Not sure. I think it is pulseaudio.

> Does 'alsamixer -c0' and 'alsamixer' show the changes when you make them with
> xfce4-mixer?  

Alamixer shows that after unmute, the channel stay on volume 6 (it almost silent).

Comment 3 Kevin Fenzi 2009-09-29 16:01:46 UTC
Ah, interesting. I wonder if this is sound hardware specific. 

What does lspci report about your sound card?

Comment 4 Tomas Pelka 2009-09-29 16:10:27 UTC
00:1b.0 Audio device: Intel Corporation 631xESB/632xESB High Definition Audio Controller (rev 09)

(http://www.smolts.org/client/show/pub_35042bf2-a850-4dd3-aa77-4040adb9e39b)

Comment 5 Bug Zapper 2009-11-16 12:56:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 09:49:41 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Ken Dreyer 2010-11-05 00:58:24 UTC
Confirmed on xfce4-mixer-4.6.1-2.fc12.i686. I'm not using pulseaudio.

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

Comment 8 Bug Zapper 2010-12-04 07:38:43 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.